package com.boman.web.core.domain;

import com.boman.domain.BaseEntity;
import com.boman.domain.SysDept;

import java.util.ArrayList;
import java.util.List;

/**乡镇/村/村居委
 * @author tjf
 * @Date: 2021/09/05/13:10
 */
public class AdministrativeInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 父id
     */
    private Long parentId;

    /**
     * 名称
     */
    private String administrativeName;
    /**
     * 状态
     */
    private String status;

    /**
     * 显示顺序
     */
    private Integer orderNum;

    /**
     * 备注
     */
    private String remark;
    /**
     * 是否删除 N:未删除 Y:删除
     */
    private String isDel;
    /**
     * 祖级列表
     */
    private String ancestors;

    /** 子部门 */
    private List<AdministrativeInfo> children = new ArrayList<AdministrativeInfo>();

    public List<AdministrativeInfo> getChildren() {
        return children;
    }

    public String getAncestors() {
        return ancestors;
    }

    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }

    public void setChildren(List<AdministrativeInfo> children) {
        this.children = children;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getAdministrativeName() {
        return administrativeName;
    }

    public void setAdministrativeName(String administrativeName) {
        this.administrativeName = administrativeName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }

    @Override
    public String toString() {
        return "AdministrativeInfo{" +
                "id=" + id +
                ", parentId=" + parentId +
                ", administrativeName='" + administrativeName + '\'' +
                ", status='" + status + '\'' +
                ", orderNum=" + orderNum +
                ", remark='" + remark + '\'' +
                ", isDel='" + isDel + '\'' +
                '}';
    }
}
